app:
  description: 考陪练系统专用的 sql 执行器
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: workflow
  name: 恩喜-00-SQL 执行器-考陪练专用
  use_icon_as_answer_icon: false
dependencies: []
kind: app
version: 0.5.0
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_batch_limit: 10
        image_file_size_limit: 10
        single_chunk_attachment_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: start
        targetType: http-request
      id: 1758989617994-source-1758989692485-target
      source: '1758989617994'
      sourceHandle: source
      target: '1758989692485'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: http-request
        targetType: end
      id: 1758989692485-source-1758989723090-target
      source: '1758989692485'
      sourceHandle: source
      target: '1758989723090'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: 开始
        type: start
        variables:
        - label: SQL 语句
          max_length: 1000000
          options: []
          required: true
          type: paragraph
          variable: sql
      height: 109
      id: '1758989617994'
      position:
        x: 80
        y: 282
      positionAbsolute:
        x: 80
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        authorization:
          config: null
          type: no-auth
        body:
          data:
          - type: text
            value: "{\n    \"sql\": \"{{#1758989617994.sql#}}\",\n    \"params\":\
              \ {}\n  }"
          type: raw-text
        desc: ''
        headers: 'Content-Type:application/json

          X-API-Key:dify-2025-kaopeilian'
        method: POST
        params: ''
        retry_config:
          max_retries: 3
          retry_enabled: true
          retry_interval: 100
        selected: true
        ssl_verify: false
        timeout:
          max_connect_timeout: 0
          max_read_timeout: 0
          max_write_timeout: 0
        title: HTTP 请求
        type: http-request
        url: https://fw.ireborn.com.cn/api/v1/sql/execute-simple
        variables: []
      height: 137
      id: '1758989692485'
      position:
        x: 385
        y: 282
      positionAbsolute:
        x: 385
        y: 282
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1758989692485'
          - body
          value_type: string
          variable: body
        - value_selector:
          - '1758989692485'
          - status_code
          value_type: number
          variable: status_code
        selected: false
        title: 结束
        type: end
      height: 114
      id: '1758989723090'
      position:
        x: 688
        y: 282
      positionAbsolute:
        x: 688
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    viewport:
      x: 213.76058260198113
      y: 11.06197629555595
      zoom: 0.6935832932101428
  rag_pipeline_variables: []
